Get a list of scripts
https://{kibana_url}
- GET /api/endpoint/scripts_library
- GET /s/{space_id}/api/endpoint/scripts_library
Refer to Spaces for more information.
Retrieve a list of scripts
Query Parameters
-
pageinteger · min: 1 · default: 1 Page number of the results to return. Defaults to 1.
-
pageSizeinteger · min: 1 · max: 1000 · default: 10 Number of results to return per page. Defaults to 10. Max value is 1000.
-
sortField The field to sort the results by. Defaults to name.
-
Values:
namecreatedAtcreatedByupdatedAtupdatedByfileSize -
kuerystring A KQL query string to filter the list of scripts. Nearly all fields in the script object are searchable.
Response
List of scripts response
-
dataobject -
createdAtstring -
createdBystring -
descriptionstring -
Description of the script and its purpose/functionality
-
downloadUristring -
URI to download the script file. Note that this is the relative path and does not include the space (if applicable)
-
examplestring -
fileHashstring -
SHA256 hash of the script file that was uploaded
-
fileNamestring -
Name of the script file that was uploaded
-
fileSizeinteger -
Size of the script file that was uploaded in bytes
-
idstring -
instructionsstring -
Instructions for using the script, including details around its supported input arguments
-
namestring -
pathToExecutablestring -
The relative path to the file included in the archive that should be executed once its contents are extracted. Applicable only for scripts uploaded as an archive (.zip file for example).
-
platform -
Values:
linuxmacoswindows -
requiresInputboolean -
Tags that categorize the script
-
Values:
remediationActiondataCollectionnetworkDiagnosticsnetworkActionsystemInventoryforensicCollectionthreatHuntingdiscoverysystemManagementuserManagementtroubleshooting -
updatedAtstring -
updatedBystring -
versionstring -
pageinteger · min: 1 · default: 1 -
Page number
-
pageSizeinteger · min: 1 · max: 1000 · default: 10 -
Number of items per page
-
sortField -
Determines which field is used to sort the results.
-
Values:
namecreatedAtcreatedByupdatedAtupdatedByfileSize -
totalinteger -
The total number of scripts matching the query